openwhisk-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From csantan...@apache.org
Subject [incubator-openwhisk] branch master updated: Fix ubuntu14 setup for pip packages (#3614)
Date Sun, 06 May 2018 12:30:25 GMT
This is an automated email from the ASF dual-hosted git repository.

csantanapr pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-openwhisk.git


The following commit(s) were added to refs/heads/master by this push:
     new 1cf18d5  Fix ubuntu14 setup for pip packages  (#3614)
1cf18d5 is described below

commit 1cf18d5cceadac50c83b9c611689c470f90761e5
Author: Carlos Santana <csantanapr@apache.org>
AuthorDate: Sun May 6 08:30:21 2018 -0400

    Fix ubuntu14 setup for pip packages  (#3614)
---
 tools/ubuntu-setup/README.md  | 2 +-
 tools/ubuntu-setup/ansible.sh | 6 +++---
 tools/ubuntu-setup/java8.sh   | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/tools/ubuntu-setup/README.md b/tools/ubuntu-setup/README.md
index 71056ce..35aafd9 100644
--- a/tools/ubuntu-setup/README.md
+++ b/tools/ubuntu-setup/README.md
@@ -18,7 +18,7 @@
 
 # Setting up OpenWhisk on Ubuntu server(s)
 
-The following are verified to work on Ubuntu 14.04.3 LTS. You may need `sudo` or root access
to install required software depending on your system setup.
+The following are verified to work on Ubuntu 14 LTS. You may need `sudo` or root access to
install required software depending on your system setup.
 
 The commands below should be executed on the host machine for single VM/server deployments
of OpenWhisk. For a distributed deployment spanning multiple VMs, the commands should be executed
on a machine with network connectivity to all the VMs in the deployment - this is called the
`bootstrapper` and it is ideally an Ubuntu 14.04 VM that is provisioned in an IaaS (infrastructure
as a service platform e.g., OpenStack).  Your local machine can act as the bootstrapper as
well if it can conne [...]
 
diff --git a/tools/ubuntu-setup/ansible.sh b/tools/ubuntu-setup/ansible.sh
index c2c42f2..e66f12a 100755
--- a/tools/ubuntu-setup/ansible.sh
+++ b/tools/ubuntu-setup/ansible.sh
@@ -26,10 +26,10 @@ sudo apt-get update
 sudo apt-get install -y python-dev libffi-dev libssl-dev
 sudo pip install markupsafe
 sudo pip install ansible==2.5.0
-sudo pip install docker==2.2.1
 sudo pip install jinja2==2.9.6
-sudo pip install httplib2==0.9.2
-sudo pip install requests==2.10.0
+sudo pip install docker==2.2.1    --ignore-installed  --force-reinstall
+sudo pip install httplib2==0.9.2  --ignore-installed  --force-reinstall
+sudo pip install requests==2.10.0 --ignore-installed  --force-reinstall
 
 ansible --version
 ansible-playbook --version
diff --git a/tools/ubuntu-setup/java8.sh b/tools/ubuntu-setup/java8.sh
index ada5b38..73770f4 100755
--- a/tools/ubuntu-setup/java8.sh
+++ b/tools/ubuntu-setup/java8.sh
@@ -21,7 +21,7 @@ set -x
 
 if [ "$(lsb_release -cs)" == "trusty" ]; then
     sudo apt-get install -y software-properties-common python-software-properties
-    sudo add-apt-repository ppa:jonathonf/openjdk
+    sudo add-apt-repository ppa:jonathonf/openjdk -y
     sudo apt-get update
 fi
 

-- 
To stop receiving notification emails like this one, please contact
csantanapr@apache.org.

Mime
View raw message